Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: Опасная установка пакетов  (Прочитано 639 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Опасная установка пакетов
« : 14 Апрель 2016, 14:58:14 »
Доброго времени суток. Только что, заподозрив, что apt-get autoremove удалил нужные пакеты, решил поставить их заново. Пакеты вот эти: libavutil-extra-51 libimlib2 libmpdec2. В результате стала удаляться куча приложений с компа, например, gimp, blender, pitivi и т.д. Вывод в терминале вида:

(Нажмите, чтобы показать/скрыть)

Что произошло...? А обратно GIMP не ставится -- в системе есть битые пакеты. И есть ли лог, в котором можно посмотреть вывод терминала?

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1818
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #1 : 14 Апрель 2016, 15:01:59 »
cat /var/log/apt/history.log

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #2 : 14 Апрель 2016, 15:06:05 »
(Нажмите, чтобы показать/скрыть)

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1818
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #3 : 14 Апрель 2016, 15:13:47 »
плохо, аудио вынес.
Что покажет?
sudo apt-get install -fВ большинстве случаев apt-get autoremove работает корректно, но иногда......
« Последнее редактирование: 14 Апрель 2016, 15:16:51 от ARTGALGANO »

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #4 : 14 Апрель 2016, 15:18:19 »
cesdo,
Цитировать
Только что, заподозрив, что apt-get autoremove удалил нужные пакеты, решил поставить их заново. Пакеты вот эти: libavutil-extra-51 libimlib2 libmpdec2.
что то не работает? С чего взял что эти либы тебе нужны были?

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #5 : 14 Апрель 2016, 15:20:11 »
(Нажмите, чтобы показать/скрыть)

Ну и гимп не хочет ставиться(

(Нажмите, чтобы показать/скрыть)

И еще. Судя по всему, у меня подключён какой-то левый реп, какого-то Васи Пупкина -- ставил свеженький ффмпег. Как можно максимально по человечески, лучше в консоли, увидеть список активных у меня репов?

Пользователь добавил сообщение 14 Апрель 2016, 15:23:33:
cesdo,
Цитировать
Только что, заподозрив, что apt-get autoremove удалил нужные пакеты, решил поставить их заново. Пакеты вот эти: libavutil-extra-51 libimlib2 libmpdec2.
что то не работает? С чего взял что эти либы тебе нужны были?

Да потому, что после аналогичной операции deadbeef как-то отказался проигрывать музыку. С тех пор, подозревая, что удалил что-то нужное, тут же ставлю заново.)
« Последнее редактирование: 14 Апрель 2016, 15:23:33 от cesdo »

Оффлайн peregrine

  • FSM
  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 7083
  • Gentoo x64 Ubuntu 16.04.1 x64
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #6 : 14 Апрель 2016, 15:26:45 »
cesdo, дохлая говядина всегда всё с собой тянула. Какие именно файлы не проигрывались?

Оффлайн ARTGALGANO

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1818
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #7 : 14 Апрель 2016, 15:27:19 »
sed  '/#/d;/^$/d'  /etc/apt/sources.list.d/*

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #8 : 14 Апрель 2016, 15:42:38 »
cesdo, дохлая говядина всегда всё с собой тянула. Какие именно файлы не проигрывались?

Ну, удалилась, какая-то либа, а может и все, ну и всё) Правда, потом я обновился, слава богу список обновлений не изменился и мне просто пришла новая версия той либы. Плеером уже год тогда как пользовался)

Пользователь добавил сообщение 14 Апрель 2016, 16:17:33:
Гимп поставился, когда я удалил эти 2 пакета, на которые ругался апт-гет. Поставил уже примерно половину удалённого, но осадок остался:каким образом при установке 4 либ может быть потёрта куча прог с их либами?
« Последнее редактирование: 14 Апрель 2016, 16:17:33 от cesdo »

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2510
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #9 : 14 Апрель 2016, 16:20:10 »
Только что, заподозрив, что apt-get autoremove удалил нужные пакеты

(Нажмите, чтобы показать/скрыть)

А я вижу, что autoremove не удалил кучу пакетов. Ты что, прервал его работу?
Я никого не сторожил!

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #10 : 14 Апрель 2016, 16:25:46 »
Только что, заподозрив, что apt-get autoremove удалил нужные пакеты

(Нажмите, чтобы показать/скрыть)

А я вижу, что autoremove не удалил кучу пакетов. Ты что, прервал его работу?

Эти пакеты остались от прог, которые потерлись в рез-те установки библиотек! Установку, которая оказалась тотальным удалением прог, прервал, да.
« Последнее редактирование: 14 Апрель 2016, 16:34:59 от cesdo »

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2510
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #11 : 14 Апрель 2016, 17:30:44 »
прервал, да.

Так, естественно, у тебя будет ошибка на ошибке. И ошибкой погонять еще. Кто ж так делает?
А еще непонятно, что у тебя за версия Ubuntu.
Я никого не сторожил!

Оффлайн cesdo

  • Автор темы
  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #12 : 14 Апрель 2016, 17:48:55 »
Я ж прервал не autoclean, а установку библиотек, повлекшую удаление кучи приложений, уже после того, как сделал autoclean. А версия 14.04 лтс. Вообще, проблема заключается в том, что, устанавливая 4 либы, которые только что удалил, апт-гет начал сносить приложения. Гимп, Питиви, Опеншот, Сейн и т.д. И не понимаю, почему.

Пользователь добавил сообщение 14 Апрель 2016, 17:50:59:
плохо, аудио вынес.
Что покажет?
sudo apt-get install -fВ большинстве случаев apt-get autoremove работает корректно, но иногда......

Подскажи, что подразумеваешь под аудио, доустановлю.
« Последнее редактирование: 14 Апрель 2016, 17:53:26 от cesdo »

Оффлайн alang

  • Старожил
  • *
  • Сообщений: 2510
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #13 : 14 Апрель 2016, 18:21:56 »
А версия 14.04 лтс.

Тогда откуда у тебя там пакеты для precise? Подозреваю, что ты каких-то мутных ppa наподключал (о чем сам, к слову, упоминал выше). Может, в этом и дело.
Я никого не сторожил!

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 26086
    • Просмотр профиля
Re: Опасная установка пакетов
« Ответ #14 : 14 Апрель 2016, 18:46:32 »
Доброго времени суток. Только что, заподозрив, что apt-get autoremove удалил нужные пакеты, решил поставить их заново. Пакеты вот эти: libavutil-extra-51 libimlib2 libmpdec2. В результате стала удаляться куча приложений с компа, например, gimp, blender, pitivi и т.д. Вывод в терминале вида:

(Нажмите, чтобы показать/скрыть)

Что произошло...? А обратно GIMP не ставится -- в системе есть битые пакеты. И есть ли лог, в котором можно посмотреть вывод терминала?
Произошло то, что и должно было произойти.
Были удалены пакеты с конфликтующими зависимостями, а следом за ними полетели приложения, зависящие в свою очередь от них.
В следующий раз будете головой думать…
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.071 секунд. Запросов: 24.